<template>
  <div id="app">
    <navheader></navheader>
    <router-view></router-view>
    <navfooter></navfooter>
    <vue-snotify></vue-snotify>
  </div>
</template>

<script>
import navfooter from '@/components/navfooter'
import navheader from '@/components/navheader'
export default {
  name: 'app',
  components: {
    navfooter,
    navheader
  }
}
</script>

<style lang="scss">
$dark-mode-body-background-color: #373F51;
$dark-mode-modal-background-color: #525966;
$dark-mode-text-color: #E8E8E8;
$dark-mode-link-color: #E8E8E8;
$light-mode-body-background-color: #E8E8E8;
$light-mode-modal-background-color: #fff;
$light-mode-text-color: #373F51;
$light-mode-link-color: #373F51;

body {
  margin: 0;
}
body.dark-mode {
  background-color: $dark-mode-body-background-color;
  color: $dark-mode-text-color;
  a {
    color: $dark-mode-link-color;
  }
  .v--modal {
    background-color: $dark-mode-modal-background-color;
    .title {
      color: $dark-mode-text-color;
    }
  }
}
body.light-mode {
  background-color: $light-mode-body-background-color;
  color: $light-mode-text-color;
  a {
    color: $light-mode-link-color;
  }
  .v--modal {
    background-color: $light-mode-modal-background-color;
    .title {
      color: $light-mode-text-color;
    }
  }
}
</style>
